Skip to main content
`Ctrl`+`K`

# skbio.alignment.AlignPath.from_tabular

classmethod AlignPath.from_tabular(msa, starts=None)

  Create an alignment path from a TabularMSA object.

  Parameters:
    msa TabularMSA

      TabularMSA to be converted into AlignPath object.

    starts array_like of int of shape (2,), optional

      Start positions of sequences. If omitted, will be all zeros.

  Returns:
    AlignPath

      The alignment path created from the TabularMSA object.

  See also

  `from_aligned`
  `skbio.TabularMSA.from_path_seqs`

  Notes

  This method is more efficient and more specific than `from_aligned`.